<div style="margin-top: 20px;">
    <div class="container">
        <div class="row" [hidden]="!simulasiCreditResult">
            <div class="col-md-12">    
                <h5>
                    <span jhiTranslate="mpmApp.simulasiCredit.home.title">Simulasi Credit Installment</span>
                </h5>              
            <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.home.titleDetail" for="field_dateCreated">Unit</label>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.unit" for="field_dateCreated">Product</label>
                    <p-dropdown [options]="listMotors" styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                (change)="selectMotor(true)"
                                [(ngModel)]="simulasiCredit.productId" id="field_motor" name="motor" 
                                [filter]="true" filterBy="label" 
                    ></p-dropdown>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.leasing" for="field_dateCreated">Leasing</label>
                    <select class="form-control" id="field_lesing" name="lesing" (change)="selectLeasing()" [(ngModel)]="simulasiCredit.leasingCompanyId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">{{option.partyName}}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.tenor" for="field_dateCreated">Tenor</label>
                    <select class="form-control" id="field_tenor" name="tenor" [(ngModel)]="simulasiCredit.tenor" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="tenorOption.idLeasingProvide" *ngFor="let tenorOption of tenors; trackBy: trackTenorById">{{tenorOption}} Bulan</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.cicilan" for="field_dateCreated">Cicilan</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="simulasiCredit.installment" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="installmentOption.idLeasingProvide" *ngFor="let installmentOption of installments;">{{installmentOption}} </option>
                    </select>
                </div>
            </div>
            <hr style="margin-top:50px">
            <div class="col-md-12">
                <button type="button" class="btn btn-primary btn-block" (click)="btnSimulasi()" [disabled]="!simulasiCredit.productId || !simulasiCredit.leasingCompanyId ">SIMULASI KREDIT</button>
            </div>
            <hr style="margin-top:50px">
            <div class="col-md-12">
                <button type="button" class="btn btn-primary btn-block" (click)="btnbacksimulasi()" > KEMBALI </button>
            </div>
        </div>
        <div class="row simulasi-credit" [hidden]="simulasiCreditResult">
            <div>
                <h5>
                    <span jhiTranslate="mpmApp.simulasiCredit.home.result">Status Types</span>
                </h5>
            </div>
            
            <div class="shipment-incoming-detail buttonsimulasi">
                <p-fieldset>
                    <p-header>Custom Legend Content</p-header>
                    <div class="row">
                        <div class="col-md-6 col-sm-6 col-6">Nama unit</div>
                        <div class="col-md-6 col-sm-6 col-6">: {{dataMotor}}</div>
                        <div class="col-md-6 col-sm-6 col-6">Harga unit</div>
                        <div class="col-md-6 col-sm-6 col-6">: Rp {{price}}</div>
                        <div class="col-md-6 col-sm-6 col-6">Leasing</div>
                        <div class="col-md-6 col-sm-6 col-6">: {{dataLeasing}}</div>
                        <div *ngFor="let tenor of tempLeasingTenorProvides" class="col-md-12 col-sm-12 col-12">
                            <div class="row">
                                <hr class="hrwidth">
                                <div class="col-md-6 col-sm-6 col-6">Tenor</div>
                                <div class="col-md-6 col-sm-6 col-6">: {{tenor.tenor}} Bulan</div>
                                <div class="col-md-6 col-sm-6 col-6">Cicilan Perbulan</div>
                                <div class="col-md-6 col-sm-6 col-6">: {{tenor.installment}}</div>
                                <div class="col-md-6 col-sm-6 col-6">Uang muka</div>
                                    <div class="col-md-6 col-sm-6 col-6">: {{tenor.downPayment}}
                                    <p-radioButton 
                                        name="tenor" 
                                        [ngValue]="tenor.idLeasingProvide" 
                                        class="pull-right">
                                    </p-radioButton>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-fieldset>
                <div class="col-md-12 buttonsimulasi">
                    <hr class="hrwidth">
                    Syarat dan Kondisi<br>
                    -Semua harga yang tertera dalam mata uang Rupiah (Rp)<br>
                    -OTR Surabaya<br>
                    -Rincian kredit diatas tidak mengikat dan dapat berubah sewaktu-waktu<br>
                    -Harga diatas sudah termasuk asuransi (MPM Credit Protect)
                </div>
                <div class="col-md-12 buttonsimulasi">
                    <button type="button" class="btn btn-primary btn-block" (click)="btnCekUnit()">CEK UNIT LAIN</button>
                </div>
                <div class="col-md-12 buttonsimulasi">
                    <button type="button" (click)="submitBAST()" class="btn btn-primary btn-block">MINAT</button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog [(visible)]="newProspect" responsive="true" modal="true"  [width]="700">
    <p-header>
        Check Prospect Data
    </p-header>

    <div class="row">
            <div class="col-md-7 col-sm-7">
                <label class="form-control-label" jhiTranslate="mpmApp.person.name" >Nama</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="name" 
                        [(ngModel)]="name">
                </div>
            </div>
        
            <div class="col-md-5 col-sm-5">
                <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone1" >No Telp</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="cellPhone" 
                        [(ngModel)]="cellPhone" maxlength="13" jhiNumbers>
                </div>
            </div>            
    </div>

    <p-footer>
        <button pButton type="button" 
                label="Find" 
                icon="fa-search"
                (click)="doCheckProspect()"
                [disabled]="name == null || cellPhone == null">
        </button>    
    </p-footer>

</p-dialog>

<p-dialog [(visible)]="findProspect" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Prospect dengan data {{name}} dan {{cellPhone}} sudah ada di dalam system     
         </div>
    </div>

    <p-footer>
        <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil">
        </button>
        <button pButton type="button"
                (click)="doFollowUp()" 
                label="Follow Up"
                icon="fa-hand-o-right">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findPerson" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Nomor {{cellPhone}} sudah ada di dalam system atas nama {{name}}
        </div>
    </div>

    <p-footer>
        </button>
        <button pButton type="button"
                (click)="backToFind()" 
                label="Kembali">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findNik" closable="true" responsive="true" modal="true">
        <p-header>
            Notifikasi
        </p-header>
    
        <div class="row">
            <div class="col-md-12">
            </div>
        </div>
    
        <p-footer>
            </button>
            <button pButton type="button"
                    (click)="backToFind()" 
                    label="Kembali">
            </button>
        </p-footer>
    </p-dialog>
